#ifndef __orov__msg__sensor__Temperature__idl__
#define __orov__msg__sensor__Temperature__idl__

#include "orov/msg/common/Header.idl"

module orov {
module msg {
module sensor {

    // NOTE: Left for DDS structural compatibility
    struct Temperature_
    {
        orov::msg::common::Header header_;
        double temperature_;                 // Degrees Celsius
        double variance_;
    };

    struct Temperature
    {
        Temperature_    temperature;
        string id;      //@key
    };

};
};
};

#endif